Index: branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/NEMO_book.tex
===================================================================
--- branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/NEMO_book.tex	(revision 5858)
+++ branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/NEMO_book.tex	(revision 5859)
@@ -302,4 +302,6 @@
 \include{./TexFiles/Chapters/Chap_STO}          % Stochastic param.
 
+\include{./TexFiles/Chapters/Chap_DIU}          % Diurnal SST models.
+
 \include{./TexFiles/Chapters/Chap_MISC}			% Miscellaneous topics
 
Index: branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/TexFiles/Biblio/Biblio.bib
===================================================================
--- branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/TexFiles/Biblio/Biblio.bib	(revision 5858)
+++ branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/TexFiles/Biblio/Biblio.bib	(revision 5859)
@@ -149,4 +149,17 @@
   volume = {36},
   pages = {1502--1522}
+}
+
+@ARTICLE{Artale_al_JGR02,
+  author={V. Artale and D. Iudicone and R. Santoleri and V. Rupolo and S. Marullo
+          and F. {D'O}rtenzio},
+  title={{Role of surface fluxes in ocean general circulation models using satellite
+          sea surface temperature: Validation of and sensitivity to the forcing
+          frequency of the Mediterranean thermohaline circulation}},
+  journal=JGR,
+  year={2002},
+  volume={107},
+  pages={1978-2012},
+  doi = {10.1029/2000JC000452},
 }
 
@@ -1061,4 +1074,16 @@
 }
 
+@Article{Gentemann_al_JGR09,
+  author = 	 {C. L. Gentemann  and P. J. Minnett and B. Ward},
+  title =        {Profiles of Ocean Surface heating ({POSH}): A new model 
+                  of upper ocean diurnal warming},
+  journal = 	 JGR,
+  year = 	 {2009},
+  Volume = 	 {114},
+  Pages = 	 {C07017},
+  doi = 	 {10.1029/2008JC004825},
+  OPTannote = 	 {}
+}
+
 @ARTICLE{Gerdes1993a,
   author = {R. Gerdes},
@@ -2516,4 +2541,14 @@
 }
 
+@ARTICLE{Saunders_JAS82,
+  author={P. M. Saunders},
+  title={{The Temperature at the Ocean-air Interface}},
+  journal=JAS,
+  year={1967},
+  volume={24},
+  pages={269-273},
+  doi = {10.1175/1520-0469(1967)024<0269:TTATOA>2.0.CO;2},
+}
+
 @BOOK{Shchepetkin_McWilliams_Bk08,
   author = {A. F. Shchepetkin and J. C. McWilliams},
@@ -2688,4 +2723,15 @@
   volume = {359},
   pages = {123--129}
+}
+
+@ARTICLE{Takaya_al_JGR10,
+  author = 	 {Y. Takaya and J-R. Bidlot and A. C. M. Beljaars and 
+                  P. A. E. M. Janssen},
+  title =        {Refinements to a prognostic scheme of sea surface skin temperature},
+  journal = 	 JGR,
+  year = 	 {2010},
+  Volume = 	 {115},
+  Pages = 	 {C06009},
+  doi = 	 {10.1029/2009JC005985},
 }
 
@@ -2791,4 +2837,14 @@
   volume = {27},  number = {4},
   pages = {567--580}
+}
+
+@ARTICLE{Tu_Tsuang_GRL05,
+  title={{Cool-skin simulation by a one-column ocean model}},
+  author={{C-Y}. Tu  and {B-J}. Tsuang},
+  journal=GRL,
+  year={2005},
+  volume={32},
+  pages={L22602},
+  doi = {10.1029/2005GL024252},
 }
 
Index: branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/TexFiles/Chapters/Chap_DIU.tex
===================================================================
--- branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/TexFiles/Chapters/Chap_DIU.tex	(revision 5859)
+++ branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/TexFiles/Chapters/Chap_DIU.tex	(revision 5859)
@@ -0,0 +1,164 @@
+% ================================================================
+% Diurnal SST models (DIU)
+% Edited by James While
+% ================================================================
+\chapter{Diurnal SST models (DIU)}
+\label{DIU}
+
+\minitoc
+
+
+\newpage
+$\ $\newline % force a new line
+
+Code to produce an estimate of the diurnal warming and cooling of the sea surface skin
+temperature (skin SST) is found in the DIU directory.  The skin
+temperature can be split into three parts:
+\begin{itemize}
+\item A foundation SST which is free from diurnal warming.
+\item A warm layer, typically ~3\,m thick, where heating from solar radiation can
+cause a warm stably stratified layer during the daytime
+\item A cool skin, a thin layer, approximately ~1\,mm thick, where long wave cooling
+is dominant and cools the immediate ocean surface.
+\end{itemize}
+
+Models are provided for both the warm layer, diurnal\_bulk.F90, and the cool skin,
+cool\_skin.F90.  Foundation SST is not considered as it can be obtained
+either from the main NEMO model (i.e. from the temperature of the top few model levels)
+or from
+some other source.  It must be noted that both the cool skin and
+warm layer models produce estimates of the change in temperature ($\Delta T_{\rm{cs}}$
+and $\Delta T_{\rm{wl}}$) and both must
+be added to a foundation SST to obtain the true skin temperature.
+
+Both the cool skin and warm layer models are controlled through the namelist `namdiu':
+\namdisplay{namdiu}
+This namelist contains only two variables:
+\begin{description}
+\item[ln\_diurnal] A logical switch for turning on/off both the cool skin and warm layer.
+\item[ln\_diurnal\_only] A logical switch which if .TRUE. will run the diurnal model
+without the other dynamical parts of NEMO.  ln\_diurnal\_only must be
+.FALSE. if ln\_diurnal is .FALSE.
+\end{description}
+
+Output for the diurnal model is through the variables `sst\_wl' (warm\_layer) and
+`sst\_cs' (cool skin).  These are 2-D variables which will be included in the model
+output if they are specified in the iodef.xml file.
+
+Initialisation is through the restart file.  Specifically the code will expect the presence of the 2-D variable ``Dsst'' to initialise the warm layer.  The cool skin model, which is determined purely by the instantaneous fluxes, has no initialisation variable.  
+
+%===============================================================
+
+\section{Warm Layer model}
+\label{warm_layer_sec}
+
+%===============================================================
+
+The warm layer is calculated using the model of \citet{Takaya_al_JGR10} (TAKAYA10 model
+hereafter).  This is a simple flux based model that is defined by the equations
+\begin{eqnarray}
+\frac{\partial{\Delta T_{\rm{wl}}}}{\partial{t}}&=&\frac{Q(\nu+1)}{D_T\rho_w c_p
+\nu}-\frac{(\nu+1)ku^*_{w}f(L_a)\Delta T}{D_T\Phi\!\left(\frac{D_T}{L}\right)} \mbox{,}
+\label{ecmwf1} \\
+L&=&\frac{\rho_w c_p u^{*^3}_{w}}{\kappa g \alpha_w Q }\mbox{,}\label{ecmwf2}
+\end{eqnarray}
+where $\Delta T_{\rm{wl}}$ is the temperature difference between the top of the warm
+layer and the depth $D_T=3$\,m at which there is assumed to be no diurnal signal. In
+equation (\ref{ecmwf1}) $\alpha_w=2\times10^{-4}$ is the thermal expansion
+coefficient of water, $\kappa=0.4$ is von K\'{a}rm\'{a}n's constant, $c_p$ is the heat
+capacity at constant pressure of sea water, $\rho_w$ is the
+water density, and $L$ is the Monin-Obukhov length. The tunable
+variable $\nu$ is a shape parameter that defines the expected
+subskin temperature profile via $T(z)=T(0)-\left(\frac{z}{D_T}\right)^\nu\Delta
+T_{\rm{wl}}$,
+where $T$ is the absolute temperature and $z\le D_T$ is the depth
+below the top of the warm layer.
+The influence of wind on TAKAYA10 comes through the magnitude of the friction velocity
+of the water
+$u^*_{w}$, which can be related to the 10\,m wind speed $u_{10}$ through the relationship
+$u^*_{w} = u_{10}\sqrt{\frac{C_d\rho_a}{\rho_w}}$, where $C_d$ is
+the drag coefficient, and $\rho_a$ is the density of air.  The symbol $Q$ in equation
+(\ref{ecmwf1}) is the instantaneous total thermal energy
+flux into
+the diurnal layer, i.e.
+\begin{equation}
+Q = Q_{\rm{sol}} + Q_{\rm{lw}} + Q_{\rm{h}}\mbox{,} \label{e_flux_eqn}
+\end{equation}
+where $Q_{\rm{h}}$ is the sensible and latent heat flux, $Q_{\rm{lw}}$ is the long
+wave flux, and $Q_{\rm{sol}}$ is the solar flux absorbed
+within the diurnal warm layer. For $Q_{\rm{sol}}$ the 9 term
+representation of \citet{Gentemann_al_JGR09} is used.  In equation \ref{ecmwf1}
+the function $f(L_a)=\max(1,L_a^{\frac{2}{3}})$, where $L_a=0.3$\footnote{This
+is a global average value, more accurately $L_a$ could be computed as
+$L_a=(u^*_{w}/u_s)^{\frac{1}{2}}$, where $u_s$ is the stokes drift, but this is not
+currently done} is the turbulent Langmuir number and is a
+parametrization of the effect of waves.
+The function $\Phi\!\left(\frac{D_T}{L}\right)$ is the similarity function that
+parametrizes the stability of the water column and
+is given by:
+\begin{equation}
+\Phi(\zeta) = \left\{ \begin{array}{cc} 1 + \frac{5\zeta +
+4\zeta^2}{1+3\zeta+0.25\zeta^2} &(\zeta \ge 0) \\
+                                    (1 - 16\zeta)^{-\frac{1}{2}} & (\zeta < 0) \mbox{,}
+                                    \end{array} \right. \label{stab_func_eqn}
+\end{equation}
+where $\zeta=\frac{D_T}{L}$.  It is clear that the first derivative of
+(\ref{stab_func_eqn}), and thus of (\ref{ecmwf1}),
+is discontinuous at $\zeta=0$ (i.e. $Q\rightarrow0$ in equation (\ref{ecmwf2})).
+
+The two terms on the right hand side of (\ref{ecmwf1}) represent different processes.
+The first term is simply the diabatic heating or cooling of the
+diurnal warm
+layer due to thermal energy
+fluxes into and out of the layer.  The second term
+parametrizes turbulent fluxes of heat out of the diurnal warm layer due to wind
+induced mixing. In practice the second term acts as a relaxation
+on the temperature.
+
+%===============================================================
+
+\section{Cool Skin model}
+\label{cool_skin_sec}
+
+%===============================================================
+
+The cool skin is modelled using the framework of \citet{Saunders_JAS82} who used a
+formulation of the near surface temperature difference based upon the heat flux and
+the friction velocity $u^*_{w}$.  As the cool skin
+is so thin (~1\,mm) we ignore the solar flux component to the heat flux and the
+Saunders equation for the cool skin temperature difference $\Delta T_{\rm{cs}}$ becomes
+\begin{equation}
+\label{sunders_eqn}
+\Delta T_{\rm{cs}}=\frac{Q_{\rm{ns}}\delta}{k_t} \mbox{,}
+\end{equation}
+where $Q_{\rm{ns}}$ is the, usually negative, non-solar heat flux into the ocean and
+$k_t$ is the thermal conductivity of sea water. $\delta$ is the thickness of the
+skin layer and is given by
+\begin{equation}
+\label{sunders_thick_eqn}
+\delta=\frac{\lambda \mu}{u^*_{w}} \mbox{,}
+\end{equation}
+where $\mu$ is the kinematic viscosity of sea water and $\lambda$ is a constant of
+proportionality which \citet{Saunders_JAS82} suggested varied between 5 and 10.
+
+The value of $\lambda$ used in equation (\ref{sunders_thick_eqn}) is that of
+\citet{Artale_al_JGR02},
+which is shown in \citet{Tu_Tsuang_GRL05} to outperform a number of other
+parametrisations at both low and high wind speeds. Specifically,
+\begin{equation}
+\label{artale_lambda_eqn}
+\lambda = \frac{ 8.64\times10^4 u^*_{w} k_t }{ \rho c_p h \mu \gamma }\mbox{,}
+\end{equation}
+where $h=10$\,m is a reference depth and
+$\gamma$ is a dimensionless function of wind speed $u$:
+\begin{equation}
+\label{artale_gamma_eqn}
+\gamma = \left\{ \begin{matrix}
+                     0.2u+0.5\mbox{,} & u \le 7.5\,\mbox{ms}^{-1} \\
+                     1.6u-10\mbox{,} & 7.5 < u < 10\,\mbox{ms}^{-1} \\
+                     6\mbox{,} & \ge 10\,\mbox{ms}^{-1} \\
+                 \end{matrix}
+          \right.
+\end{equation}
+
+
Index: branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/TexFiles/Namelist/namdiu
===================================================================
--- branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/TexFiles/Namelist/namdiu	(revision 5859)
+++ branches/2015/dev_r5656_Met_Office_3_diurnalSST/DOC/TexFiles/Namelist/namdiu	(revision 5859)
@@ -0,0 +1,6 @@
+!-----------------------------------------------------------------------
+&namdiu        !   Control of diurnal SST models
+!-----------------------------------------------------------------------
+   ln_diurnal = .TRUE.   ! Turn diurnal models on/off
+   ln_diurnal_only = .FALSE.   ! Only run diurnal model, dynamical models switched off
+/